IRPCServerAdmin.GetSubscriptionInfo

View as Markdown

Administration API / specialized admin session idempotent

Gets whether and how the server is connected to an M-Files Manage subscription.

ServiceServer administration MFiles.IRPCServerAdmin
gRPC method/MFiles.IRPCServerAdmin/GetSubscriptionInfo
HTTP (mf-http-grpc)POST /grpc/v1/get-subscription-info
RequestGetSubscriptionInfoRequest
ResponseGetSubscriptionInfoResponse
Book and levelAdministration API, specialized
Kindadmin
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentyes
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: GetSubscriptionInfoRequest

No fields.

Response: GetSubscriptionInfoResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
subscription_infoSubscriptionInfoThe subscription the server is joined to and related flags. See SubscriptionInfo.
subscription_info.authentication_serverstringThe network address (name) of the mAuth server.
subscription_info.subscriptionstringThe subscription info server is joined to.
subscription_info.manage_addressstringThe URL to the manage web.
subscription_info.uses_one_dbboolTrue if server uses OneDb.
subscription_info.can_joinboolTrue to allow changing the OneDb configuration.
subscription_info.is_on_premboolTrue if joined to subscription and not in container.
subscription_info.is_isolatedboolTrue if server is in isolated container.